Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.psvi
Interface XSNamespaceItem

All Known Implementing Classes:
  SchemaGrammar

Deprecated. The interface may be updated or replaced.

public interface XSNamespaceItem

The interfaces represents the namespace schema information information item. Each namespace schema information information item corresponds to an XML Schema with unique namespace name.

Method Summary
`XSObjectList` | `getAnnotations()` Deprecated. [annotations]: a set of annotations.
`XSAttributeDeclaration` | `getAttributeDeclaration(java.lang.String name)` Deprecated. Convenience method.
`XSAttributeGroupDefinition` | `getAttributeGroup(java.lang.String name)` Deprecated. Convenience method.
`XSNamedMap` | `getComponents(short objectType)` Deprecated. [schema components]: a list of top-level components, i.e.
`StringList` | `getDocumentLocations()` Deprecated. [document location] - a list of locations URI for the documents that contributed to the XSModel.
`XSElementDeclaration` | `getElementDeclaration(java.lang.String name)` Deprecated. Convenience method.
`XSModelGroupDefinition` | `getModelGroupDefinition(java.lang.String name)` Deprecated. Convenience method.
`XSNotationDeclaration` | `getNotationDeclaration(java.lang.String name)` Deprecated. Convenience method.
`java.lang.String` | `getSchemaNamespace()` Deprecated. [schema namespace]: A namespace name or `null`.
`XSTypeDefinition` | `getTypeDefinition(java.lang.String name)` Deprecated. Convenience method.

Method Detail

### getSchemaNamespace

    public java.lang.String getSchemaNamespace()

  Deprecated.
  [schema namespace]: A namespace name or `null`.

### getComponents

    public XSNamedMap getComponents(short objectType)

  Deprecated.
  [schema components]: a list of top-level components, i.e. element declarations, attribute declarations, etc.
  Parameters:
    `objectType` - The type of the declaration, i.e. `ELEMENT_DECLARATION`. Note that `XSTypeDefinition.SIMPLE_TYPE` and `XSTypeDefinition.COMPLEX_TYPE` can also be used as the `objectType` to retrieve only complex types or simple types, instead of all types.
  Returns:
    A list of top-level definition of the specified type in `objectType` or `null`.

### getAnnotations

    public XSObjectList getAnnotations()

  Deprecated.
  [annotations]: a set of annotations.

### getElementDeclaration

    public XSElementDeclaration getElementDeclaration(java.lang.String name)

  Deprecated.
  Convenience method. Returns a top-level element declaration.
  Parameters:
    `name` - The name of the declaration.
  Returns:
    A top-level element declaration or `null` if such declaration does not exist.

### getAttributeDeclaration

    public XSAttributeDeclaration getAttributeDeclaration(java.lang.String name)

  Deprecated.
  Convenience method. Returns a top-level attribute declaration.
  Parameters:
    `name` - The name of the declaration.
  Returns:
    A top-level attribute declaration or `null` if such declaration does not exist.

### getTypeDefinition

    public XSTypeDefinition getTypeDefinition(java.lang.String name)

  Deprecated.
  Convenience method. Returns a top-level simple or complex type definition.
  Parameters:
    `name` - The name of the definition.
  Returns:
    An `XSTypeDefinition` or `null` if such definition does not exist.

### getAttributeGroup

    public XSAttributeGroupDefinition getAttributeGroup(java.lang.String name)

  Deprecated.
  Convenience method. Returns a top-level attribute group definition.
  Parameters:
    `name` - The name of the definition.
  Returns:
    A top-level attribute group definition or `null` if such definition does not exist.

### getModelGroupDefinition

    public XSModelGroupDefinition getModelGroupDefinition(java.lang.String name)

  Deprecated.
  Convenience method. Returns a top-level model group definition.
  Parameters:
    `name` - The name of the definition.
  Returns:
    A top-level model group definition definition or `null` if such definition does not exist.

### getNotationDeclaration

    public XSNotationDeclaration getNotationDeclaration(java.lang.String name)

  Deprecated.
  Convenience method. Returns a top-level notation declaration.
  Parameters:
    `name` - The name of the declaration.
  Returns:
    A top-level notation declaration or `null` if such declaration does not exist.

### getDocumentLocations

    public StringList getDocumentLocations()

  Deprecated.
  [document location] - a list of locations URI for the documents that contributed to the XSModel.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.